%define upstream_name Net-Gadu
%define upstream_version 1.9

Summary:	Perl module to support Gadu-Gadu protocol
%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 23
License:	LGPLv2+
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libgadu)
BuildRequires:  chrpath


%description
Net-Gadu is a perl module. It is intended to make it easy to add Gadu-Gadu
communication support to your scripts. It uses libgadu library.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%check
make test

%install
%make_install
find %{buildroot}%{perl_vendorarch} -type f | xargs chmod u+w
install ex/ex1 example.pl
chrpath -d %{buildroot}%{perl_vendorarch}/auto/Net/Gadu/Gadu.so

%files
%doc Changes README example.pl contrib
%{perl_vendorarch}/auto/Net
%{perl_vendorarch}/Net
%{_mandir}/man3/Net::Gadu.3pm*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 1.900.0-23.mga8
+ Revision: 1594944
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.900.0-22.mga8
+ Revision: 1530006
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 1.900.0-21.mga8
+ Revision: 1433851
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.900.0-20.mga7
+ Revision: 1293542
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.900.0-19.mga7
+ Revision: 1250099
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.900.0-18.mga7
+ Revision: 1165850
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.900.0-17.mga7
+ Revision: 1149864
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.900.0-16.mga7
+ Revision: 1126662
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.900.0-15.mga6
+ Revision: 1031074
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 1.900.0-14.mga6
+ Revision: 962031
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.900.0-13.mga6
+ Revision: 845049
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.900.0-12.mga6
+ Revision: 842519
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.900.0-11.mga5
+ Revision: 739434
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.900.0-10.mga5
+ Revision: 685653
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.900.0-9.mga5
+ Revision: 631494
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.900.0-8.mga4
+ Revision: 524936
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.900.0-7.mga4
+ Revision: 431672
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.900.0-6.mga3
+ Revision: 370618
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.900.0-5.mga3
+ Revision: 250990
- rebuild for perl 5.16

* Sun Jan 29 2012 kamil <kamil> 1.900.0-4.mga2
+ Revision: 202926
- rebuild against libgadu-1.11.1
- clean .spec

* Sun Jun 12 2011 sander85 <sander85> 1.900.0-3.mga2
+ Revision: 104833
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.900.0-2.mga1
+ Revision: 30900
- mageia rebuild
- imported package perl-Net-Gadu


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.900.0-2mdv2011.0
+ Revision: 556025
- rebuild for perl 5.12

* Sun Sep 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.900.0-1mdv2010.0
+ Revision: 445107
- fix spec file

* Thu Nov 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.9-1mdv2009.1
+ Revision: 302853
- new version
  spec cleanup
  rename spec file

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.8-9mdv2009.0
+ Revision: 258012
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.8-8mdv2009.0
+ Revision: 246116
- rebuild

* Sat Mar 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-6mdv2008.1
+ Revision: 176993
- rebuild for new libgadu
- new license policy

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.8-5mdv2008.1
+ Revision: 171027
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- fix no-buildroot-tag

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.8-4mdv2008.1
+ Revision: 152218
- rebuild
- kill re-definition of %%buildroot on Pixel's request

* Wed Jul 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-3mdv2008.0
+ Revision: 53341
- rebuild
- some minor cleans

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-2mdv2008.0
+ Revision: 38585
- use correct perl macros
- provide Net::Gadu
- add %%check
- compile with optflags
- fix file list

* Mon Apr 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.8-1mdv2008.0
+ Revision: 17303
- new version
- bzip sources


* Sun Jan 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-2mdv2007.0
+ Revision: 111487
- spec file clean
- bump release tag

* Wed Jan 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-1mdv2007.1
+ Revision: 109715
- drop noarch
- fix build on x86_64
- Import perl-Net-Gadu

